Subject: Re: bug#6401:

From: Glenn Morris <[email-masked]>
Date: Mon, 21 Nov 2011 18:31:18 -0500

"Tim Daly Jr." wrote:

> I ran make from a shell buffer inside a carbon emacs process.
> EMACSDATA, as well as several other such variables, are set:

Thanks for adding that comment, that would definitely explain it.

Although IIUC this particular issue would only occur if building Emacs
23+ from inside Emacs 22, and the OP did not mention that he was
doing that, so it might not be the same issue.

If it is this issue, I don't know what to do about it. It came up before
in the context of the MS Windows port:

http://lists.gnu.org/archive/html/emacs-devel/2008-10/msg00432.html

I don't know if a solution was ever found for that.